=== debian/changelog ===
samtools (1.10-4) unstable; urgency=medium

  * cwltools only "Suggests" not "Recommends"
  * There are no Python scripts provided in samtools any more
    Closes: #963093
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 19 Jun 2020 11:41:40 +0200

samtools (1.10-3) unstable; urgency=medium

  * Team upload.
  * Allow tests to fail on mipsel due to lack of memory

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Dec 2019 17:15:23 +0100

samtools (1.10-2) unstable; urgency=medium

  * Team upload.
  * Samtools breaks older iva and bio-tradis

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 25 Dec 2019 14:54:48 +0100

samtools (1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Freshen patches

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 16 Dec 2019 16:17:22 +0100

samtools (1.9-7) unstable; urgency=medium

  * Team upload.
  * Resume building on any as htslib has regained any-i386.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 11 Dec 2019 11:01:06 +0100

samtools (1.9-6) unstable; urgency=medium

  * Port Python2 script to Python3 using 2to3
    Closes: #945735
  * Standards-Version: 4.4.1
  * Set fields Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Tue, 03 Dec 2019 11:51:08 +0100

samtools (1.9-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Use <!nocheck> for libio-pty-perl

  [ Michael R. Crusoe ]
  * Stop building on any-i386 due to htslib dropping i386
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 17 Aug 2019 10:20:07 +0200
