=== debian/changelog ===
samtools (1.11-1) unstable; urgency=medium

  * New upstream version
  * Versioned Build-Depends: libhts-dev (>= 1.11)

 -- Andreas Tille <tille@debian.org>  Thu, 01 Oct 2020 16:42:22 +0200
