=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                bash-completion,
                libio-pty-perl <!nocheck>,
                libncurses5-dev,
-               libhts-dev (>= 1.10),
+               libhts-dev (>= 1.11),
                zlib1g-dev,
                automake,
                autoconf-archive,
