=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export CURSES_LIB=-lcurses

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
  export DEB_CFLAGS_MAINT_APPEND=-ffloat-store
endif

%:
	dh $@

override_dh_auto_clean:
	rm -f config.mk
	touch config.mk
	dh_auto_clean --

override_dh_auto_configure:
	touch config.mk
	aclocal --force -I debian/ -I /usr/share/aclocal
	autoconf
	dh_auto_configure -- --with-htslib=system

override_dh_auto_build:
	dh_auto_build -- \
	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
	  CPPFLAGS="\$$(DFLAGS) \$$(INCLUDES) $$(dpkg-buildflags --get CPPFLAGS)" \
	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(filter $(DEB_HOST_ARCH),mipsel))
	dh_auto_test -- BGZIP=/usr/bin/bgzip
else
	dh_auto_test -- BGZIP=/usr/bin/bgzip || true
endif
endif

override_dh_auto_install:
	dh_auto_install -- \
	  prefix=/usr
	make clean

override_dh_install:
	dh_install
	# Fix Perl interpreter PATH
	for pscript in `grep -Rl '#!/usr/bin/env \+perl' debian/*` ; do \
	    sed -i '1s?#!/usr/bin/env \+perl?#!/usr/bin/perl?' $${pscript} ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS
