=== debian/changelog ===
samtools (1.13-4) unstable; urgency=medium

  * [650b7a7] d/rules: only disable executable bit if test package is built.
    (Closes: #997834)

 -- Étienne Mollier <emollier@debian.org>  Mon, 25 Oct 2021 20:53:03 +0200

samtools (1.13-3) unstable; urgency=medium

  * [ee4c97e] d/rules: fix several issues in manual pages.
  * [488881b] Add fix-ftbfs-mvprintw.patch (Closes: #997180)
  * [da4dc4a] d/rules: disable executable bit on ac_test.bed.
  * [fbfd6c9] Add samtools-fasta-q-whatis.patch.
  * [4cfbf2b] d/samtools.lintian-overrides: remove *.py pattern.
  * [015d416] Adjust fix-ftbfs-mvprintw.patch metainformations.
    Thanks to John Marshall for the forward upstream!

 -- Étienne Mollier <emollier@debian.org>  Sun, 24 Oct 2021 20:25:10 +0200

samtools (1.13-2) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/control: bump B-D libhts-dev (>= 1.13~); builds otherwise break against
    older htslib versions.

  [ Andreas Tille ]
  * make the build reproducible (Thanks for the patch to Chris Lamb)
    Closes: #993304

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 16:32:37 +0200

samtools (1.13-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * watch file standard 4 (routine-update)
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Fri, 27 Aug 2021 16:10:26 +0200
