=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: samtools
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
                libio-pty-perl <!nocheck>,
                libncurses5-dev,
-               libhts-dev (>= 1.11),
+               libhts-dev (>= 1.13~),
                zlib1g-dev,
                automake,
                autoconf-archive,
@@ -17,10 +18,10 @@
                liblzma-dev,
                libbz2-dev
 # tabix is needed for the regression tests.
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/samtools
 Vcs-Git: https://salsa.debian.org/med-team/samtools.git
-Homepage: http://www.htslib.org/
+Homepage: https://www.htslib.org/
 Rules-Requires-Root: no
 
 Package: samtools
