=== debian/changelog ===
samtools (1.16.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Sep 2022 11:45:59 +0200

samtools (1.14-1~exp2) experimental; urgency=medium

  * Bump Build-Depends: libhts-dev (>= 1.14~)
    Closes: #1001282

 -- Andreas Tille <tille@debian.org>  Wed, 08 Dec 2021 13:14:27 +0100

samtools (1.14-1~exp1) experimental; urgency=medium

  * New upstream version
  * Cleanup Breaks/Replaces

 -- Andreas Tille <tille@debian.org>  Tue, 07 Dec 2021 09:13:32 +0100
