=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                bash-completion,
                libio-pty-perl <!nocheck>,
                libncurses5-dev,
-               libhts-dev (>= 1.13~),
+               libhts-dev (>= 1.14~),
                zlib1g-dev,
                automake,
                autoconf-archive,
                pkg-config,
-               tabix (>= 1.0),
+               tabix,
                liblzma-dev,
                libbz2-dev
 # tabix is needed for the regression tests.
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/samtools
 Vcs-Git: https://salsa.debian.org/med-team/samtools.git
 Homepage: https://www.htslib.org/
@@ -26,12 +26,11 @@
 
 Package: samtools
 Architecture: any
-Breaks: iva (<=1.0.9+ds-6),
-        bio-tradis (<=1.4.5+dfsg-1)
 # older iva & bio-tradis have bad samtools version parsing code
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: cwltool
+Breaks: bio-tradis (<=1.4.5+dfsg-1)
 Description: processing sequence alignments in SAM, BAM and CRAM formats
  Samtools is a set of utilities that manipulate nucleotide sequence alignments
  in the binary BAM format. It imports from and exports to the ascii SAM
