=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,15 @@
 	  CPPFLAGS="\$$(DFLAGS) \$$(INCLUDES) $$(dpkg-buildflags --get CPPFLAGS)" \
 	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)"
 
+# Fix several issues in the manual pages.
+execute_before_dh_installman:
+	# Fix whatis entries for subcommands; "samtools subcommand \- desc."
+	# will confuse the lexer, but "samtools-subcommand \- desc." will work.
+	sed -i '/^\.SH NAME/{n;s/^\([^ ]\+\) \([^ ]\+\) \\- /\1-\2 \\- /}' \
+		debian/*/usr/share/man/man*/*.*
+	# .EX expects a indentation width.
+	sed -i 's/^.EX$$/.EX 8/' debian/*/usr/share/man/man*/*.*
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq (,$(filter $(DEB_HOST_ARCH),mipsel))
@@ -48,6 +57,10 @@
 	for pscript in `grep -Rl '#!/usr/bin/env \+perl' debian/*` ; do \
 	    sed -i '1s?#!/usr/bin/env \+perl?#!/usr/bin/perl?' $${pscript} ; \
 	done
+	# Disable the executable bit on a dataset.
+	if [ -d debian/samtools-test ] \
+	; then chmod 0644 debian/samtools-test/usr/share/samtools/test/ampliconclip/ac_test.bed \
+	; fi
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
